%define major_version 1.1
%define minor_version 17

# only have localization for en right now
%global consolelang en

Name: 389-console
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: 389 Management Console

Group: Applications/System
License: LGPLv2
URL: https://port389.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: https://port389.org/binaries/%{name}-%{version}.tar.bz2
Requires: idm-console-framework >= 1.1
Requires: java >= 1.8.0
Requires: jpackage-utils
BuildRequires: ant
BuildRequires: ldapjdk
BuildRequires: jss >= 4.2
BuildRequires: idm-console-framework >= 1.1
BuildRequires: java-devel >= 1.8.0
BuildRequires: jpackage-utils
%if 0%{?rhel} < 6
ExcludeArch: ppc
%endif

%description
A Java based remote management console used for managing 389
Administration Server and 389 Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dbuilt.dir=`pwd`/built \
    buildnoscript

# add -Dlib.dir and -Dneed_libdir on those platforms where
# jss is installed in a non-standard location
# -Dneed_libdir=yes

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/java
cat > $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.conf <<EOF
for file in %{_sysconfdir}/java/*-%{name}.conf ; do
    if [ -f "\$file" ] ; then
       . "\$file"
    fi
done
mylang=\${mylang:-%{consolelang}}
ADDITIONAL_JARS=\${ADDITIONAL_JARS:-%{name}_\$mylang.jar}
ADDITIONAL_OPTIONS=\${ADDITIONAL_OPTIONS:-"-Djava.util.prefs.systemRoot=\$HOME/.%{name} -Djava.util.prefs.userRoot=\$HOME/.%{name}"}
EOF
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.conf
%jpackage_script com.netscape.management.client.console.Console "" "" jss4.jar:ldapjdk.jar:idm-console-base.jar:idm-console-mcc.jar:idm-console-mcc_%{consolelang}.jar:idm-console-nmclf.jar:idm-console-nmclf_%{consolelang}.jar %{name} true
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 built%{_mandir}/man8/* $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/%{name}_%{consolelang}.jar
%{_bindir}/%{name}
%{_sysconfdir}/java/%{name}.conf
%{_mandir}/man8/*

%changelog
* Wed May 11 2016 Noriko Hosoi <nhosoi@redhat.com> - 1.1.17-1
- Release 1.1.17-1
- Updated the value of PKGGUID and OLDGUID with uuidgen for Windows Console.
- Resolves #1304595 - Console -- Update Java dependency to 1.8 
- Add the option "-Djava.net.preferIPv4Stack=true" to template.bat directly.
- Separate PolicyCRT from CRT in WixMerge.
  Note: there is not policy msm in MSVC 11 C:\Program Files (x86)\Common Files\Merge Modules
- change the nspr library name for windows (win/{Console.wxs,Makefile}).
- Removed unused NOMSM from win/build.bat.
- Resolves #1229424 - Windows console can't be updated, only uninstalled/installed from zero
- Bug 1022104 - Remove versioned jar files
- adding el6dsrv dist
- fixed bogus date

* Tue Jun 14 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-1
- use jpackage_script instead of packaging our own shell script
- support "skins" package for other brands/versions

* Thu Apr 15 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.4-1
- 1.1.4 release

* Fri Dec 18 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-6
- Excluding PPC for EPEL builds as there is not openjdk there

* Wed Sep 30 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-5
- bug 521523 - add the "which" package to the Requires

* Wed Aug 12 2009 Rich Megginson <rmeggins@redhat.com> - 1.1.3-4
- final rebuild for 1.1.3 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 13 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-2
- rename to 389

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-1
- the 1.1.3 release

* Tue Apr 15 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-2
- use java > 1.5.0 for requirements

* Thu Jan 10 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-1
- this is the fedora package review candidate
- added LICENSE file
- changed permissions on jar files and shell script

* Wed Dec 19 2007 Rich Megginson <rmeggins@redhat.com> 1.1.0-5
- for the Fedora DS 1.1 release

* Thu Oct 25 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-4
- Removed noarch to ensure we find the 64-bit library.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-3
- Separated theme package.

* Fri Jul 27 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-2
- Modified package name to be less generic.

* Mon Jul 26 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation
